> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integrations

> Get all the integrations for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/banks/integrations
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/integrations:
    get:
      tags:
        - Banks
      summary: Get integrations
      description: Get all the integrations for the authenticated user
      operationId: getIntegrations
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '1970-01-01'
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
        - name: status
          in: query
          description: >-
            Status filter - returns all integrations for the specified statuses.
            Null or empty list will default to ACTIVE.
          schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - INACTIVE
        - name: apiName
          in: query
          description: >-
            Api filter - returns all integrations for the specified APIs. If
            null or empty, returns all records.
          schema:
            type: array
            items:
              type: string
              enum:
                - PLAID
                - GUSTO
                - STRIPE
                - RUTTER
                - UNIT
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRAX_GET_RESPONSEIntegrationDTOV5List'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEIntegrationDTOV5List:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/IntegrationDTOV5'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    IntegrationDTOV5:
      required:
        - apiAccessToken
        - apiName
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the integration
        status:
          type: string
          description: Status of the integration
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
        apiAccessToken:
          type: string
          description: Access token of the integration
          example: access-sandbox-da40d92a-dbc7-4399-be1c-fdb63338a147
        apiName:
          type: string
          description: Name of the integration's API
          example: STRIPE
          enum:
            - STRIPE
            - PLAID
            - GUSTO
            - RUTTER
            - UNIT
        businessId:
          type: string
          description: Id of the business the integration is linked to
          example: '1234567'
        canAcceptPayments:
          type: boolean
          description: >-
            Indicates if the integration can be used for accepting payments,
            e.g. with Stripe
          example: false
        merchantId:
          type: string
          description: >-
            Id with various uses depending on the associated integration, listed
            below


            `STRIPE` - A publicly accessible key used to identify your account
            with Stripe, for use within client-side code. See [Stripe
            docs](https://stripe.com/docs/keys) for Publishable Key


            `GUSTO` - The UUID of the company associated with your Gusto account


            `PLAID` - N/A, will always be `null`
          example: pk_test_TYooMQauvdEDq54NiTphI7jx
        apiUserId:
          type: string
          description: User id with various uses depending on the associated integration
          example: acct_1PFwTDkSKQCPcs
        resetRequired:
          type: boolean
          description: >-
            Indicates if there is an issue with the integration, requiring a
            reset from the user
          example: false
        createdDate:
          type: string
          description: Date the integration was created
          format: date-time
        lastSyncedDate:
          type: string
          description: Date the last time data was synced from the integration
          format: date-time
        lastApiSyncedDate:
          type: string
          description: Date of the last attempt to sync data from the integration
          format: date-time
          readOnly: true
        lastInstitutionTranDate:
          type: string
          description: >-
            Date of most recent transaction under the same institution as this
            integration, relevant for Plaid only
          format: date-time
        tokenStatus:
          type: string
          description: Whether the access token has been invalidated or not
          readOnly: true
          example: SUCCESS
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
        additionalConsentRequired:
          type: boolean
          description: >-
            Flag to indicate additional user consent is required to access all
            features available on this integration. Commonly used to indicate
            there are more available products on a Plaid Item.
        apiInstitutionName:
          type: string
          description: Name of the institution of the integration
          example: Citi
        apiInstitutionId:
          type: string
          description: Id of the institution of the integration
          example: ins_4
        apiErrorCode:
          type: string
          description: The specific error code. Intended for programmatic use
          example: ITEM_LOGIN_REQUIRED
        apiErrorDisplayMessage:
          type: string
          description: A user-friendly description of the error code. Can change over time
          example: >-
            The user did not grant the necessary permissions for this product on
            their account.
        apiErrorMessage:
          type: string
          description: A developer-friendly description of the error. Can change over time
          example: >-
            the login details of this item have changed (credentials, MFA, or
            required user action) and a user login is required to update this
            information. use Link's update mode to restore the item to a good
            state
        apiErrorType:
          type: string
          description: A broad categorization of the error. Intended for programmatic use
          example: ITEM_ERROR
        glAccountId:
          type: string
          description: >-
            General ledger account id, referencing an account in the chart of
            accounts
          example: '1234567'
        apiIntegrationId:
          type: string
          description: Id of the integration in the API
          example: '1234567'
        historicalReady:
          type: boolean
          description: Indicates that historical transactions are available
          readOnly: true
          example: true
        initialReady:
          type: boolean
          description: Indicates that initial transactions are available
          readOnly: true
          example: true
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````